# 目录项大小写规则
- 对于短目录项，其 0xC 字节不是保留的意思，而是可以表示显示的文件名大小写的相关规则。注意是显示，实际二进制存储都转为大写存储，但显示是按相应的规则进行。
<center><img src="./img/img6.jpg" style="zoom:80%;" /></center>

- 由于二进制存储都转为大写存储，因此创建文件的时候即使文件名除了只有大小写的差异也被认为是相同的文件。

# 长文件名生成短文件名（仅支持英文字符）
1. 将文件名转为大写
2. 删除所有空格
3. 删除所有前缀 period(.)
4. 遍历长文件名，当没到结尾或者没遇到 period 或者生成短文件名长度小于6，则复制相应字符
5. 添加 "~n"
6. 当且仅当长文件名有后缀名，则向短文件名添加 period
7. 遍历长文件名最后一个 period 的后面部分（如果有的话），当没到结尾或者短文件名后缀长度小于3，则复制相应字符