U_FAT32_DIR="../fat32-fuse"
U_FAT32="${U_FAT32_DIR}/fat32.img"

if [ ! -e ${U_FAT32_DIR}/fs ]
then 
    mkdir ${U_FAT32_DIR}/fs
fi

sudo mount -t vfat ${U_FAT32} ${U_FAT32_DIR}/fs

for programname in $(ls ${U_FAT32_DIR}/root)
do 
    sudo cp -r ${U_FAT32_DIR}/root/$programname ${U_FAT32_DIR}/fs/$programname
done

# for programname in $(ls ${U_FAT32_DIR}/riscv64)
# do 
#     sudo cp -r ${U_FAT32_DIR}/riscv64/$programname ${U_FAT32_DIR}/fs/$programname
# done

sudo umount ${U_FAT32_DIR}/fs

sudo rm -rf ${U_FAT32_DIR}/fs
