#![allow(unused)]

/// Operation not permitted
pub const EPERM: isize = 1;
/// No such file or directory
pub const ENOENT: isize = 2;
/// No such process
pub const ESRCH: isize = 3;
/// Interrupted system call
pub const EINTR: isize = 4;
/// I/O error
pub const EIO: isize = 5;
/// No such device or address
pub const ENXIO: isize = 6;
/// Argument list too long
pub const E2BIG: isize = 7;
/// Exec format error
pub const ENOEXEC: isize = 8;
/// Bad file number
pub const EBADF: isize = 9;
/// No child processes
pub const ECHILD: isize = 10;
/// Try again
pub const EAGAIN: isize = 11;
/// Out of memory
pub const ENOMEM: isize = 12;
/// Permission denied
pub const EACCES: isize = 13;
/// Bad address
pub const EFAULT: isize = 14;
/// Block device required
pub const ENOTBLK: isize = 15;
/// Device or resource busy
pub const EBUSY: isize = 16;
/// File exists
pub const EEXIST: isize = 17;
/// Cross-device link
pub const EXDEV: isize = 18;
/// No such device
pub const ENODEV: isize = 19;
/// Not a directory
pub const ENOTDIR: isize = 20;
/// Is a directory
pub const EISDIR: isize = 21;
/// Invalid argument
pub const EINVAL: isize = 22;
/// File table overflow
pub const ENFILE: isize = 23;
/// Too many open files
pub const EMFILE: isize = 24;
/// Not a typewriter
pub const ENOTTY: isize = 25;
/// Text file busy
pub const ETXTBSY: isize = 26;
/// File too large
pub const EFBIG: isize = 27;
/// No space left on device
pub const ENOSPC: isize = 28;
/// Illegal seek
pub const ESPIPE: isize = 29;
/// Read-only file system
pub const EROFS: isize = 30;
/// Too many links
pub const EMLINK: isize = 31;
/// Broken pipe
pub const EPIPE: isize = 32;
/// Math argument out of domain of func
pub const EDOM: isize = 33;
/// Math result not representable
pub const ERANGE: isize = 34;
